textures/stone/pjrock21
{
	surfaceparm nolightmap
	q3map_novertexshadows
	q3map_forcesunlight

	{
		map textures/stone/pjrock21.tga
		rgbgen vertex
	}
}

textures/common/caulk
{
	surfaceparm nodraw
        surfaceparm nolightmap
	surfaceparm nomarks
}

textures/common/clip
{
	qer_trans 0.40
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm playerclip
}

textures/common/nodraw
{
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
}

textures/base_light/patch10_pj_lite
{
	q3map_surfacelight 2500
	surfaceparm nomarks
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/base_light/patch10_pj_lite.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/base_light/patch10_pj_lite.blend.tga
		blendfunc gl_one gl_one
	}
}

textures/base_trim/tin
{
        {
		rgbgen identity
		map $lightmap
	}
	{
		map textures/base_trim/tin.tga
		blendfunc gl_dst_color gl_src_alpha
		rgbgen identity
		alphagen lightingspecular
	}
        {
		map textures/base_trim/tinfx.tga
                tcgen environment
		blendfunc gl_one gl_one
		rgbgen identity
	}
       
        {
		map textures/base_trim/tin.tga
                blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}

models/mapobjects/lamplight_y
{
	q3map_surfacelight 10000
  cull disable
	{
                map textures/effects/envmapmach.tga
		
		blendfunc gl_one gl_one
		tcgen environment
                rgbgen identity
	}
}

textures/sfx/mkc_bigflame
{

		surfaceparm trans
		surfaceparm nomarks
		surfaceparm nonsolid
		qer_editorimage textures/sfx/flame1.tga
		q3map_surfacelight 500
		surfaceparm nolightmap
		cull none

	{
		animmap 10 textures/sfx/flame1.tga textures/sfx/flame2.tga textures/sfx/flame3.tga textures/sfx/flame4.tga textures/sfx/flame5.tga textures/sfx/flame6.tga textures/sfx/flame7.tga textures/sfx/flame8.tga
		blendfunc gl_one gl_one
		rgbgen wave inversesawtooth 0 1 0 10
		
	}	
	{
		animmap 10 textures/sfx/flame2.tga textures/sfx/flame3.tga textures/sfx/flame4.tga textures/sfx/flame5.tga textures/sfx/flame6.tga textures/sfx/flame7.tga textures/sfx/flame8.tga textures/sfx/flame1.tga
		blendfunc gl_one gl_one
		rgbgen wave sawtooth 0 1 0 10
	}	


	{
		map textures/sfx/flameball.tga
		blendfunc gl_one gl_one
		rgbgen wave sin .6 .2 0 .6	
	}

}

textures/winter/wg_env
{
	qer_editorimage textures/winter/wg_env.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky
	q3map_sun 0.95 0.9 1 55 225 60
	q3map_surfacelight 20
	skyparms textures/winter/env/wg_env - -
}

textures/winter/wg_snowslick
{
	surfaceparm slick
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/winter/wg_snowslick.jpg
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}

textures/winter/wg_ice
{
	qer_editorimage textures/winter/wg_ice.tga
        surfaceparm trans	
	surfaceparm slick
	cull none
	qer_trans 	0.5
     
        {
		map textures/winter/wg_ice.tga
                tcgen environment
		blendfunc gl_one gl_one
		rgbgen identity
	}
        {
		map $lightmap
		rgbgen identity
		blendfunc filter
	}
}

textures/winter/wg_trans
{
	qer_editorimage textures/winter/wg_trans.tga
	surfaceparm trans
	surfaceparm alphashadow
	cull none
	nopicmip
	{
		map textures/winter/wg_trans.tga
		blendfunc gl_one gl_zero
		alphafunc ge128
		depthwrite
		rgbgen identity 
	}
	{
		map $lightmap 
		rgbgen identity
		blendfunc gl_dst_color gl_zero
		depthfunc equal
	}
}

textures/winter/wg_nothing
{
	qer_editorimage textures/winter/wg_trans.tga
	surfaceparm trans
	surfaceparm alphashadow
	surfaceparm nonsolid
	cull none
	nopicmip
	{
		map textures/winter/wg_trans.tga
		blendfunc gl_one gl_zero
		alphafunc ge128
		depthwrite
		rgbgen identity 
	}
	{
		map $lightmap 
		rgbgen identity
		blendfunc gl_dst_color gl_zero
		depthfunc equal
	}
}

textures/winter/wg_rinklite
{
        qer_editorimage textures/winter/wg_rinklite.tga
        q3map_surfacelight 2000
        {
                map $lightmap
                rgbgen identity
        }
        {
		map textures/winter/wg_rinklite.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
        }
        {
                map textures/winter/wg_rinklite.blend.tga
		blendfunc gl_one gl_one
        }
}

textures/winter/wg_redcross
{
        qer_editorimage textures/winter/wg_redcross.tga
        {
                map $lightmap
                rgbgen identity
        }
        {
		map textures/winter/wg_redcross.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
        }
        {
                map textures/winter/wg_redcross.blend.tga
		blendfunc gl_one gl_one
        }
}

textures/winter/wg_report
{
        qer_editorimage textures/winter/wg_report.tga
        {
                map $lightmap
                rgbgen identity
        }
        {
		map textures/winter/wg_report.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
        }
        {
                map textures/winter/wg_report.tga
		blendfunc gl_one gl_one
        }
}

textures/winter/wg_wpane200
{
        qer_editorimage textures/winter/wg_wpane.tga
        q3map_surfacelight 200
        {
                map $lightmap
                rgbgen identity
        }
        {
		map textures/winter/wg_wpane.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
        }
        {
                map textures/winter/wg_wpane.blend.tga
		blendfunc gl_one gl_one
        }
}

textures/winter/wg_window
{
	qer_editorimage textures/winter/wg_window.tga
	surfaceparm trans
	surfaceparm alphashadow
	cull none
	nopicmip
	{
		map textures/winter/wg_window.tga
		blendfunc gl_one gl_zero
		alphafunc ge128
		depthwrite
		rgbgen identity 
	}
	{
		map $lightmap 
		rgbgen identity
		blendfunc gl_dst_color gl_zero
		depthfunc equal
	}
}

textures/winter/wg_cable_ns
{
	surfaceparm nonsolid
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/winter/wg_cable_ns.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}

textures/winter/wg_cablsprt_ns
{
	surfaceparm nonsolid
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/winter/wg_cablsprt_ns.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}

textures/winter/wg_pole_ns
{
	surfaceparm nonsolid
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/winter/wg_pole.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}

